#
# RenoComm/AnotherComm Source Distribution 0.10 Beta
#
# (c) 1996 Jerry Reno
#
# Free for unmodified distribution. Modification permitted under
# certain restrictions. See LICENSE.TXT for details.
#

# Glue parameters file

name acomm.app

longname "AnotherComm Beta 0.10"

type appl, process, single

# Primary object is RCApp of RCProcessClass
class RCProcessClass
appobj RCApp

tokenchars "ACoB"

# 16451 is the Manufacturer ID for Jerry Reno. You may use it with
# the tokenchars 'ACoA', 'ACoB', or 'ACom', but other use is forbidden.
# See LICENSE.TXT
#
# In any case, if you have the SDK, you probably should have your
# own Manufacturer ID. Contact GEOS at 1-800-GEOS-SDK
tokenid 16451

# Necessary libraries. Note that streamc is not part of Ensemble 2.0
library geos
library ui
library streamc
library ansic
library text

# Classes.
export RCScrollBackClass
export RCTextClass
export RCCommClass
export RCSerialControlClass
export RCProtocolControlClass
export RCStatusGlyphClass

# Object Resources - thread 0
resource COMMRESOURCE object

# UI Resources - thread 1
resource APPRESOURCE ui-object
resource INTERFACE ui-object
resource MENURESOURCE ui-object
resource HELPRESOURCE ui-object
resource SERCONRESOURCE ui-object
resource PROCONRESOURCE ui-object

# Icon Moniker resources
resource APPMONIKER0RESOURCE lmem,read-only,shared
resource APPMONIKER1RESOURCE lmem,read-only,shared
resource APPMONIKER2RESOURCE lmem,read-only,shared
resource APPMONIKER3RESOURCE lmem,read-only,shared

# Keyboard scancode mapping
resource KEYMAPRESOURCE lmem,read-only
